import { hasType, schemaMatches } from '@jsonforms/core';
const isArrayWithItems = (s) => hasType(s, 'array') && s.hasOwnProperty('items') && s.items['type'] == 'object';
export const isLayoutArray = schemaMatches((schema) => (schema.hasOwnProperty('oneOf') && schema.oneOf.some(isArrayWithItems)) ||
    isArrayWithItems(schema));
